<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

use Leenooks\Traits\CompositeKeys;

class SiteDetails extends Model
{
	use CompositeKeys;

	public $fillable = ['site_id','key','value'];
	public $incrementing = false;
	protected $primaryKey = ['site_id','key'];
	public $timestamps = FALSE;

	public function site()
	{
		return $this->belongsTo(Site::class);
	}
}